Subject: bug#44839: closed (Re: bug#44839: 27.1; rmail: output to file does not go to next message)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Nov 2020 17:08:01 +0000

Your bug report

#44839: 27.1; rmail: output to file does not go to next message

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44839: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44839
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44839: 27.1; rmail: output to file does not go to next message
From: Eli Zaretskii <[email-masked]>
To: Francesco Potortì <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 Nov 2020 19:07:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Francesco Potortì <[email-masked]>
> Date: Tue, 24 Nov 2020 14:35:41 +0100
> 
> rmail-output should do its work, then mark the message as deleted, then
> go to the next message.  The last step is not done: the filed and
> deleted message is still displayed.  This is a regression.
> 
> I suppose it should be quite easy to pinpoint, but I don't have time
> right now, so I am filing a bug.  Here is the value of the relevant vars
> for me:
> 
> (setq rmail-output-reset-deleted-flag t
>       rmail-delete-after-output t
>       rmail-confirm-expunge nil)

This is indeed a regression introduced by the handling of the new
option rmail-output-reset-deleted-flag, which you have customized.

Should be fixed now.

Subject: 27.1; rmail: output to file does not go to next message
From: Francesco Potortì <[email-masked]>
To: [email-masked]
Date: Tue, 24 Nov 2020 14:35:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

rmail-output should do its work, then mark the message as deleted, then
go to the next message.  The last step is not done: the filed and
deleted message is still displayed.  This is a regression.

I suppose it should be quite easy to pinpoint, but I don't have time
right now, so I am filing a bug.  Here is the value of the relevant vars
for me:

(setq rmail-output-reset-deleted-flag t
      rmail-delete-after-output t
      rmail-confirm-expunge nil)

In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2020-11-08, modified by Debian built on x86-ubc-01
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid